query listShift @auth(level: USER) {
  shifts {
    id
    shiftName
    startDate
    endDate
    assignedStaff
  }
}

query getShiftById(
  $id: UUID!
) @auth(level: USER) {
  shift(id: $id) {
    id
    shiftName
    startDate
    endDate
    assignedStaff
    createdDate
    updatedDate
    createdBy
  }
}

query filterShift(
  $shiftName: String,
  $startDate: Timestamp,
  $endDate: Timestamp
) @auth(level: USER) {
  shifts(
    where: {
      shiftName: { eq: $shiftName }
      startDate: { eq: $startDate }
      endDate: { eq: $endDate }
    }
  ) {
    id
    shiftName
    startDate
    endDate
    assignedStaff
  }
}
